%define name	xterm
%define version	152
%define release 3mdk
%define url	ftp://dickey.his.com/xterm

Summary:	A terminal emulator for the X Window System
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source0:	%{url}/%{name}-%{version}.tar.bz2
Source1:	xterm-terminal-16.xpm
Source2:	xterm-terminal-32.xpm
Source3:	xterm-terminal-48.xpm

Patch0:		xterm-metaaltfix.patch.bz2
Patch1:		xterm-149-link-with-Xft.patch.bz2
Patch2:		xterm-152-render.patch.bz2

Url:		http://dickey.his.com/xterm
Copyright:	MIT
Group:		Terminals
BuildRequires:	XFree86-devel libtermcap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	XFree86 >= 3.3.6-13mdk

%description
The XTerm program is the standard terminal emulator for the X Window System. It
provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for programs
that can't use the window system directly. If the underlying operating system
supports terminal resizing capabilities (for example, the SIGWINCH signal in
systems derived from 4.3bsd), xterm will use the facilities to notify programs
running in the window whenever it is resized.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .render

%build
%configure --enable-wide-chars

make

%install
rm -rf $RPM_BUILD_ROOT
r=${RPM_BUILD_ROOT}
make install appsdir=$r/usr/X11R6/lib/X11/app-defaults bindir=$r/usr/X11R6/bin  mandir=$r/usr/X11R6/man/man1 

mkdir -p $r%{_menudir}
cat << EOF > $r%{_menudir}/xterm
?package(xterm):\
  needs=X11\
  section=Terminals\
  title="XTerm"\
  longtitle="The standard terminal emulator for the X Window System"\
  command="/usr/X11R6/bin/xterm -name Terminal"\
  icon="xterm-terminal.xpm"
EOF

# 16x16 icon
install -d 755 $RPM_BUILD_ROOT%{_iconsdir}/mini
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/mini/xterm-terminal.xpm

# 32x32 icon
install -d 755 $RPM_BUILD_ROOT/usr/share/icons
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/xterm-terminal.xpm

# 48x48 icon
install -d 755 $RPM_BUILD_ROOT%{_iconsdir}/large
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/large/xterm-terminal.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
update-alternatives --install /usr/X11R6/bin/xvt xvt /usr/X11R6/bin/xterm 18

%postun
%{clean_menus}

if [ "$1" = "0" ]; then
    update-alternatives --remove xvt /usr/X11R6/bin/xterm
fi

%files
%defattr(-,root,root)
%doc AAA_README_VMS.txt MANIFEST README README.os390
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/man/*/*
%{_prefix}/X11R6/lib/X11/app-defaults/*
%{_menudir}/%{name}
%{_iconsdir}/xterm-terminal.xpm
%{_iconsdir}/large/xterm-terminal.xpm
%{_iconsdir}/mini/xterm-terminal.xpm

%changelog
* Sat Mar 31 2001 Frederic Lepied <flepied@mandrakesoft.com> 152-3mdk
- enable unicode

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 152-2mdk
- recompiled to activate the Render extension.

* Thu Mar 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 152-1mdk
- new release

* Mon Mar 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 151-1mdk
- new version

* Thu Feb  8 2001 Pixel <pixel@mandrakesoft.com> 150-2mdk
- add as alternative xvt

* Sun Dec 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 150-1mdk
- new and shiny source.

* Tue Dec 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 149-1mdk
- Fix compilation with last XFree.
- 149.

* Thu Nov 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 148-1mdk
- new release

* Fri Aug 25 2000 David BAUDENS <baudens@mandrakesoft.com> 144-2mdk
- Fix Menu entry (fix name, add longtitle and provide icons)
- Fix Sumary and Description
- Fix %%doc

* Thu Aug 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 144-1mdk
- s|143|144|.

* Mon Aug 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 143-1mdk
- new and shiny version.

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 142-1mdk
- even more use of the _menudir macro.
- a new and shiny version.

* Thu Aug 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 141-2mdk
- fix usage of macro before its definition: you don't get any chickens before
  they hatch.!

* Tue Aug 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 141-1mdk
- s|140|141|.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 140-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 140-1mdk
- more macros (_menudir and the like : geoffroy sucks:-) )
- new release

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 139-2mdk
- fix silly typo in summary

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 139-1mdk
- xterm source has moved
- new version
- some macro-ization

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 131-4mdk
- remove full path of icon in menu entry

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-3mdk
- Set menu in /Terminals.

* Sat Apr  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-2mdk
- Requires: XFree86 >= 3.3.6-13mdk to avoid conflicts.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-1mdk
- Menu.
- First version.
- Fix meta-alt keys (Hey hey fred ;)).

# end of file
